package com.aip.gateway.api.service;

import com.aip.gateway.api.model.request.*;
import com.aip.gateway.api.model.response.ResponseFile;
import com.aip.gateway.api.model.response.ResponseInfo;
import org.springframework.web.multipart.MultipartFile;

public interface IApiFileService {

    ResponseInfo getInfo(RequestFile req);
    ResponseFile setLabel(RequestFileSet req);
    ResponseFile delLabel(RequestFileDel req);
    ResponseFile setProtection(RequestFileSet req);
    ResponseFile delProtection(RequestFileDel req);
    ResponseFile setLabelProtection(RequestFileAllSet req);
    ResponseFile delLabelProtection(RequestFileDel req);
    ResponseFile encryptFile(MultipartFile file, RequestBase baseReq);
    ResponseFile decryptFile(MultipartFile file, RequestBase baseReq);
}
